## kvim-6.2.14.tar.bz2

=== src/Makefile ===
# Makefile for Vim on Unix and Unix-like systems	vim:ts=8:sw=8:tw=78
#							vim600:fdm=marker
# This Makefile is loosely based on the GNU Makefile conventions found in
# standards.info.
#
# Compiling Vim, summary:
#
#	3. make
#	5. make install
#
# Compiling Vim, details:
#
# Edit this file for adjusting to your system. You should not need to edit any
# other file for machine specific things!
# The name of this file MUST be Makefile (note the uppercase 'M').
#
# 1. Edit this Makefile  {{{1
#	The defaults for Vim should work on most machines, but you may want to
#	uncomment some lines or make other changes below to tune it to your
#	system, compiler or preferences.  Uncommenting means that the '#' in
#	the first column of a line is removed.
#	- If you want a version of Vim that is small and starts up quickly,
#	  you might want to disable the GUI, X11, Perl, Python and Tcl.
#	- Uncomment the line with --disable-gui if you have Motif, GTK and/or
#	  Athena but don't want to make gvim (the GUI version of Vim with nice
#	  menus and scrollbars, but makes Vim bigger and startup slower).
#	- Uncomment the line "CONF_OPT_X = --without-x" if you have X11 but
#	  want to disable using X11 libraries.	This speeds up starting Vim,
#	  but the window title will not be set and the X11 selection can not
#	  used.
#	- Uncomment the line "CONF_OPT_XSMP = --without-xsmp" if you have the
#	  X11 Session Management Protocol (XSMP) library (libSM) but do not
#	  want to use it.
#	  This can speedup Vim startup but Vim loses the ability to catch the
#	  user logging out from session-managers like GNOME & KDE and work
#	  could be lost.
#	- Uncomment one or more of these lines to include an interface;
#	  each makes Vim quite a bit bigger:
#		--enable-perlinterp	for Perl interpreter
#		--enable-pythoninterp	for Python interpreter
#		--enable-rubyinterp	for Ruby interpreter
#		--enable-tclinterp	for Tcl interpreter
#		--enable-cscope		for Cscope interface
#	- Uncomment one of the lines with --with-features= to enable a set of
#	  features (but not the interfaces just mentioned).
#	- Uncomment the line with --disable-acl to disable ACL support even
#	  though your system supports it.
#	- Uncomment the line with --disable-gpm to disable gpm support
#	  even though you have gpm libraries and includes
#	- Uncomment one of the lines with CFLAGS and/or CC if you have
#	  something very special or want to tune the optimizer.
#	- Search for the name of your system to see if it needs anything
#	  special.
#	- A few versions of make use '.include "file"' instead of 'include
#	  file'.  Adjust the include line below if yours does.
#
# 2. Edit feature.h  {{{1
#	Only if you do not agree with the default compile features, e.g.:
#	- you want Vim to be as vi compatible as it can be
#	- you want to use Emacs tags files
#	- you want right-to-left editing (Hebrew)
#	- you want 'langmap' support (Greek)
#	- you want to remove features to make Vim smaller
#
# 3. "make"  {{{1
#	Will first run ./configure with the options in this file. Then it will
#	start make again on this Makefile to do the compiling. You can also do
#	this in two steps with:
#		make config
#		make
#	The configuration phase creates/overwrites auto/config.h and
#	auto/config.mk.
#	The configure script is created with "make autoconf".  It can detect
#	different features of your system and act accordingly.  However, it is
#	not correct for all systems.  Check this:
#	- If you have X windows, but configure could not find it or reported
#	  another include/library directory then you wanted to use, you have
#	  to set CONF_OPT_X below.  You might also check the installation of
#	  xmkmf.
#	- If you have --enable-gui=motif and have Motif on your system, but
#	  configure reports "checking for location of gui... <not found>", you
#	  have to set GUI_INC_LOC and GUI_LIB_LOC below.
#	If you changed something, do this to run configure again:
#		make reconfig
#
#	- If you do not trust the automatic configuration code, then inspect
#	  auto/config.h and auto/config.mk, before starting the actual build
#	  phase. If possible edit this Makefile, rather than auto/config.mk --
#	  especially look at the definition of VIMLOC below. Note that the
#	  configure phase overwrites auto/config.mk and auto/config.h again.
#	- If you get error messages, find out what is wrong and try to correct
#	  it in this Makefile. You may need to do "make reconfig" when you
#	  change anything that configure uses (e.g. switching from an old C
#	  compiler to an ANSI C compiler). Only when auto/configure does
#	  something wrong you may need to change one of the other files. If
#	  you find a clean way to fix the problem, consider sending a note to
#	  the author of autoconf (bug-gnu-utils@prep.ai.mit.edu) or Vim
#	  (Bram@vim.org). Don't bother to do that when you made a hack
#	  solution for a non-standard system.
#
# 4. "make test"  {{{1
#	This is optional.  This will run Vim scripts on a number of test
#	files, and compare the produced output with the expected output.
#	If all is well, you will get the "ALL DONE" message in the end.  See
#	below (search for "/^test").
#
# 5. "make install"  {{{1
#	If the new Vim seems to be working OK you can install it and the
#	documentation in the appropriate location. The default is
#	"/usr/local".  Change "prefix" below to change the location.
#	"auto/pathdef.c" will be compiled again after changing this to make
#	the executable know where the help files are located.
#	Note that any existing executable is removed or overwritten.  If you
#	want to keep it you will have to make a backup copy first.
#	The runtime files are in a different directory for each version.  You
#	might want to delete an older version.
#	If you don't want to install everything, there are other targets:
#		make installvim		only installs Vim, not the tools
#		make installvimbin	only installs the Vim executable
#		make installruntime	only installs the Vim help and
#							runtime files
#		make installlinks	only installs the Vim binary links
#		make installhelplinks	only installs the Vim manpage links
#		make installmacros	only installs the Vim macros
#		make installtutor	only installs the Vim tutor
#		make installtools	only installs xxd
#	If you install Vim, not to install for real but to prepare a package
#	or RPM, set DESTDIR to the root of the tree.
#
# 6. Use Vim until a new version comes out.  {{{1
#
# 7. "make uninstall_runtime"  {{{1
#	Will remove the runtime files for the current version.	This is safe
#	to use while another version is being used, only version-specific
#	files will be deleted.
#	To remove the runtime files of another version:
#		make uninstall_runtime VIMRTDIR=/vim54
#	If you want to delete all installed files, use:
#		make uninstall
#	Note that this will delete files have the same name for any version,
#	thus you might need to do a "make install" soon after this.
#	Be careful not to remove a version of Vim that is still being used!
#	To find out which files and directories will be deleted, use:
#		make -n uninstall
# }}}
#
### This Makefile has been succesfully tested on many systems. {{{
### Only the ones that require special options are mentioned here.
### Check the (*) column for remarks, listed below.
### Later code changes may cause small problems, otherwise Vim is supposed to
### compile and run without problems.

#system:	      configurations:		     version (*) tested by:
#-------------	      ------------------------	     -------  -  ----------
#AIX 3.2.5	      cc (not gcc)   -			4.5  (M) Will Fiveash
#AIX 4		      cc	     +X11 -GUI		3.27 (4) Axel Kielhorn
#AIX 4.1.4	      cc	     +X11 +GUI		4.5  (5) Nico Bakker
#AIX 4.2.1	      cc				5.2k (C) Will Fiveash
#AIX 4.3.3.12	      xic 3.6.6				5.6  (5) David R. Favor
#A/UX 3.1.1	      gcc	     +X11		4.0  (6) Jim Jagielski
#BeOS PR	      mwcc DR3				5.0n (T) Olaf Seibert
#BSDI 2.1 (x86)       shlicc2 gcc-2.6.3 -X11 X11R6	4.5  (1) Jos Backus
#BSD/OS 3.0 (x86)     gcc gcc-2.7.2.1 -X11 X11R6	4.6c (1) Jos Backus
#CX/UX 6.2	      cc	     +X11 +GUI_Mofif	5.4  (V) Kipp E. Howard
#DG/UX 5.4*	      gcc 2.5.8      GUI		5.0e (H) Jonas Schlein
#DG/UX 5.4R4.20       gcc 2.7.2      GUI		5.0s (H) Rocky Olive
#HP-UX (most)	      c89 cc				5.1  (2) Bram Moolenaar
#HP-UX_9.04	      cc	     +X11 +Motif	5.0  (2) Carton Lao
#Irix 6.3 (O2)	      cc	     ?			4.5  (L) Edouard Poor
#Irix 6.4	      cc	     ?			5.0m (S) Rick Sayre
#Irix 6.5	      cc	     ?			6.0  (S) David Harrison
#Irix 64 bit						4.5  (K) Jon Wright
#Linux 2.0	      gcc-2.7.2      Infomagic Motif	4.3  (3) Ronald Rietman
#Linux 2.0.31	      gcc	     +X11 +GUI Athena	5.0w (U) Darren Hiebert
#LynxOS 3.0.1	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#LynxOS 3.1.0	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#NEC UP4800 UNIX_SV 4.2MP  cc	     +X11R6 Motif,Athena4.6b (Q) Lennart Schultz
#NetBSD 1.0A	      gcc-2.4.5      -X11 -GUI		3.21 (X) Juergen Weigert
#QNX 4.2	      wcc386-10.6    -X11		4.2  (D) G.F. Desrochers
#QNX 4.23	      Watcom	     -X11		4.2  (F) John Oleynick
#SCO Unix v3.2.5      cc	     +X11 Motif		3.27 (C) M. Kuperblum
#SCO Open Server 5    gcc 2.7.2.3    +X11 +GUI Motif	5.3  (A) Glauber Ribeiro
#SINIX-N 5.43 RM400 R4000   cc	     +X11 +GUI		5.0l (I) Martin Furter
#SINIX-Z 5.42 i386    gcc 2.7.2.3    +X11 +GUI Motif	5.1  (I) Joachim Fehn
#SINIX-Y 5.43 RM600 R4000  gcc 2.7.2.3 +X11 +GUI Motif	5.1  (I) Joachim Fehn
#Reliant/SINIX 5.44   cc	     +X11 +GUI		5.5a (I) B. Pruemmer
#SNI Targon31 TOS 4.1.11 gcc-2.4.5   +X11 -GUI		4.6c (B) Paul Slootman
#Solaris 2.4 (Sparc)  cc	     +X11 +GUI		3.29 (9) Glauber
#Solaris 2.4/2.5      clcc	     +X11 -GUI openwin	3.20 (7) Robert Colon
#Solaris 2.5 (sun4m)  cc (SC4.0)     +X11R6 +GUI (CDE)	4.6b (E) Andrew Large
#Solaris 2.5	      cc	     +X11 +GUI Athena	4.2  (9) Sonia Heimann
#Solaris 2.5	      gcc 2.5.6      +X11 Motif		5.0m (R) Ant. Colombo
#Solaris 2.6	      gcc 2.8.1      ncursus		5.3  (G) Larry W. Virden
#Solaris with -lthread					5.5  (W) K. Nagano
#SunOS 4.1.x			     +X11 -GUI		5.1b (J) Bram Moolenaar
#SunOS 4.1.3_U1 (sun4c) gcc	     +X11 +GUI Athena	5.0w (J) Darren Hiebert
#SUPER-UX 6.2 (NEC SX-4) cc	     +X11R6 Motif,Athena4.6b (P) Lennart Schultz
#Unisys 6035	      cc	     +X11 Motif		5.3  (8) Glauber Ribeiro
#ESIX V4.2	      cc	     +X11		6.0  (a) Reinhard Wobst
# }}}

# (*)  Remarks: {{{
#
# (1)  Uncomment line below for shlicc2
# (2)  HPUX with compile problems or wrong digraphs, uncomment line below
# (3)  Infomagic Motif needs GUI_LIB_LOC and GUI_INC_LOC set, see below.
#      And add "-lXpm" to MOTIF_LIBS2.
# (4)  For cc the optimizer must be disabled (use CFLAGS= after running
#      configure) (symptom: ":set termcap" output looks weird).
# (5)  Compiler may need extra argument, see below.
# (6)  See below for a few lines to uncomment
# (7)  See below for lines which enable the use of clcc
# (8)  Needs some EXTRA_LIBS, search for Unisys below
# (9)  Needs an extra compiler flag to compile gui_at_sb.c, see below.
# (A)  May need EXTRA_LIBS, see below
# (B)  Can't compile GUI because there is no waitpid()...  Disable GUI below.
# (C)  Force the use of curses instead of termcap, see below.
# (D)  Uncomment lines below for QNX
# (E)  You might want to use termlib instead of termcap, see below.
# (F)  See below for instructions.
# (G)  Using ncursus version 4.2 has reported to cause a crash.  Use the
#      Sun cursus library instead.
# (H)  See line for EXTRA_LIBS below.
# (I)  SINIX-N 5.42 and 5.43 need some EXTRA_LIBS.  Also for Reliant-Unix.
# (J)  If you get undefined symbols, see below for a solution.
# (K)  See lines to uncomment below for machines with 64 bit pointers.
# (L)  For Silicon Graphics O2 workstations remove "-lnsl" from auto/config.mk
# (M)  gcc version cygnus-2.0.1 does NOT work (symptom: "dl" deletes two
#      characters instead of one).
# (N)  SCO with decmouse.
# (O)  LynxOS needs EXTRA_LIBS, see below.

=== debian/changelog ===
kvim (6.2.6-1) unstable; urgency=low

  * New upstream release (closes: #195306)
  * Fixed redundant menu entry (closes: #195487)
  * Updated standards-version to 3.5.10.0

 -- Mickael Marchand <marchand@kde.org>  Tue,  3 Jun 2003 21:14:51 +0200

kvim (6.1.474-1) unstable; urgency=low

  * KVim 6.1.474 stable
  * Initial upload to Debian (closes: #142979)

 -- Mickael Marchand <marchand@kde.org>  Mon, 12 May 2003 20:23:12 +0200

kvim (6.1.410-1) stable; urgency=low

  * KVim 6.1.410 stable

 -- Mikmak <mikmak@moria.freenux.org>  Thu, 20 Mar 2003 00:47:48 +0100

kvim (6.1.317-1) stable; urgency=low

  * KVim 6.1.317 stable

 -- Mikmak <mikmak@moria.freenux.org>  Thu, 20 Mar 2003 00:45:58 +0100

kvim (6.1.312-1) stable; urgency=low

  * KVim 6.1.312 stable

 -- Mikmak <mikmak@moria.freenux.org>  Mon,  3 Feb 2003 13:41:17 +0100

kvim (6.1.311-1) stable; urgency=low

  * KVim 6.1.311 stable

 -- Mikmak <mikmak@moria.freenux.org>  Thu, 30 Jan 2003 21:41:06 +0100

kvim (6.1.310-1) stable; urgency=low

  * KVim 6.1.310 stable.

 -- Mickael Marchand <mikmak@alhya.freenux.org>  Wed, 29 Jan 2003 20:53:00 +0200

kvim (6.1.302-1) stable; urgency=low

  * KVim 6.1.302 stable.

 -- Mickael Marchand <mikmak@alhya.freenux.org>  Sat, 28 Sep 2002 15:14:03 +0200

kvim (6.1.141-1) unstable; urgency=low

  * Final release. KVim 6.1.141 stable.

 -- Mickael Marchand <mikmak@alhya.freenux.org>  Sat, 28 Sep 2002 15:14:03 +0200

kvim (6.1.141rc2-1) unstable; urgency=low

  * New release candidate.

 -- Mickael Marchand <marchand@kde.org>  Tue, 30 Jul 2002 15:05:12 +0200

kvim (6.1.141rc1-2) unstable; urgency=low

  * Fixing build depends
  * Bug fixes for set title and compilation
 
 -- Mickael Marchand <marchand@kde.org>  Tue, 30 Jul 2002 15:05:12 +0200

kvim (6.1.141rc1-1) unstable; urgency=low

  * Initial Release.

 -- Mickael Marchand <marchand@kde.org>  Tue, 30 Jul 2002 15:05:12 +0200

=== debian/control ===
Source: kvim
Section: editors
Priority: extra
Maintainer: Mickael Marchand <marchand@kde.org>
Build-Depends: debhelper (>> 3.0.0), kdelibs4-dev, libdb3-dev, libfreetype6-dev, libgpmg1-dev, libjpeg62-dev, liblcms-dev, libmng-dev, libncurses5-dev, libpng3-dev, libqt3-mt-dev, xlibs-dev (>> 4.0.3), zlib1g-dev
Standards-Version: 3.5.10.0

Package: kvim
Architecture: any
Depends: ${shlibs:Depends}, vim(>=6.2)
Conflicts: vim-gtk, vim-tiny, vim-perl, vim-python, vim-ruby, vim-tcl, vim-tty
Suggests: ctags, cscope
Description: Vi IMproved - KDE version
 Vim is an almost compatible version of the UNIX editor Vi. Many new
 features have been added: multi level undo, syntax highlighting,
 command line history, on-line help, filename completion, block operations,
 folding, etc.
 .
 This package contains a version of vim compiled with support for the
 KDE frontend.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cd src && ./configure --prefix=/usr --enable-gui=kde --enable-kde-toolbar --with-features=huge --with-qt-dir=/usr/ --with-kde-prefix=/usr --with-kde-includes=/usr/include/kde --with-qt-includes=/usr/include/qt3 --with-compiled-by="Mickael Marchand <marchand@kde.org>" --mandir=/usr/share/man
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd src && $(MAKE)
	#/usr/bin/docbook-to-man debian/kvim.sgml > kvim.1
#	for i in debian/*.sgml; do \
#		docbook-to-man $$i > `dirname $$i`/`basename $$i .sgml`.1 ;\
#	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	cd src && $(MAKE) distclean
	rm -f build-stamp configure-stamp debian/vim.1.gz src/config.status src/config.cache debian/files

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/kvim.
	# don't make install, we don't want the runtime !
#	cd src && $(MAKE) install DESTDIR=$(CURDIR)/debian/kvim

	install -d -o root -g root -m 755 $(CURDIR)/debian/kvim/usr/share/doc
	install -d -o root -g root -m 755 $(CURDIR)/debian/kvim/usr/bin
	install -d -o root -g root -m 755 $(CURDIR)/debian/kvim/usr/lib/menu
	install -d -o root -g root -m 755 $(CURDIR)/debian/kvim/usr/lib/mime/packages
	install -d -o root -g root -m 755 $(CURDIR)/debian/kvim/usr/share/lintian/overrides
	install -d -o root -g root -m 755 $(CURDIR)/debian/kvim/DEBIAN
	install -d -o root -g root -m 755 $(CURDIR)/debian/kvim/usr/share/man/man1
	install -d -o root -g root -m 755 $(CURDIR)/debian/kvim/usr/share/vim/vim61

	cd src && $(MAKE) installvimbin installklinks installkdeicons DESTDIR=$(CURDIR)/debian/kvim

	#remove conflicting links
	rm -f $(CURDIR)/debian/kvim/usr/bin/eview
	rm -f $(CURDIR)/debian/kvim/usr/bin/evim
	rm -f $(CURDIR)/debian/kvim/usr/bin/kview

	cp debian/kvim.menu $(CURDIR)/debian/kvim/usr/lib/menu/kvim
	chmod 644 $(CURDIR)/debian/kvim/usr/lib/menu/kvim
	cp debian/kvim.mime $(CURDIR)/debian/kvim/usr/lib/mime/packages/kvim
	chmod 644 $(CURDIR)/debian/kvim/usr/lib/mime/packages/kvim
	cp debian/kvim.lintian $(CURDIR)/debian/kvim/usr/share/lintian/overrides/kvim
	chmod 644 $(CURDIR)/debian/kvim/usr/share/lintian/overrides/kvim
	gzip -9 -c runtime/doc/vim.1 > $(CURDIR)/debian/kvim/usr/share/man/man1/vim.1.gz
	chmod 644 $(CURDIR)/debian/kvim/usr/share/man/man1/vim.1.gz
	cd $(CURDIR)/debian/kvim/usr/share/man/man1 && ln -s vim.1.gz kvim.1.gz && ln -s vim.1.gz kvimdiff.1.gz  && ln -s vim.1.gz rkvimdiff.1.gz  && ln -s vim.1.gz rkview.1.gz && ln -s vim.1.gz rkvim.1.gz
	cp runtime/menu.vim $(CURDIR)/debian/kvim/usr/share/vim/vim61/
	chmod 644 $(CURDIR)/debian/kvim/usr/share/vim/vim61/menu.vim

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
